# purefa_dns – Configure FlashArray DNS settings

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Set or erase configuration for the DNS settings.

- Nameservers provided will overwrite any existing nameservers.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
domain string |  | Domain suffix to be appended when performing DNS lookups.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
nameservers list |  | List of up to 3 unique DNS server IP addresses. These can be IPv4 or IPv6 - No validation is done of the addresses is performed.

state
string

Choices:
- absent
- present ←

Set or delete directory service configuration

## Notes

Note

- This module requires the `purestorage` Python library

- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Delete existing DNS settings
      purefa_dns:
        state: absent
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Set DNS settings
      purefa_dns:
        domain: purestorage.com
        nameservers:
          - 8.8.8.8
          - 8.8.4.4
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.